## haskell-groom 0.1.2.1

=== debian/changelog ===
haskell-groom (0.1.2.1-2) unstable; urgency=medium

  * Post-NEW source-only upload

 -- Scott Talbert <swt@techie.net>  Sat, 29 Mar 2025 20:50:59 -0400

haskell-groom (0.1.2.1-1) unstable; urgency=low

  * Initial release

 -- Scott Talbert <swt@techie.net>  Tue, 25 Mar 2025 18:50:44 -0400
