=== debian/control ===
Source: haskell-groom
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Scott Talbert <swt@techie.net>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
 cdbs,
 ghc,
 ghc-prof,
 libghc-src-exts-dev (>= 1.0.0),
 libghc-src-exts-prof,
Build-Depends-Indep: ghc-doc,
 libghc-src-exts-doc,
Standards-Version: 4.7.0
Homepage: https://hackage.haskell.org/package/groom
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-groom
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-groom]
X-Description: Pretty printing for well-behaved Show instances
 Automatically derived Show instances are an easy way
 to inspect data in your program.  However, for large
 data-structures, the resulting output lacks
 whitespace, making it unreadable.  Groom offers an
 replacement to `show' called `groom' which attempts
 to pretty-print the output of `show'.  For example:
 .
 > let x = parseExp "foobar 1 [1,2]"
 > in do
 >   putStrLn (show x)
 >   putStrLn (groom x)
 .
 results in:
 .
 > ParseOk (App (App (Var (UnQual (Ident "foobar"))) (Lit (Int 1))) (List [Lit (Int 1),Lit (Int 2)]))
 > ParseOk
 >   (App (App (Var (UnQual (Ident "foobar"))) (Lit (Int 1)))
 >      (List [Lit (Int 1), Lit (Int 2)]))
 .
 Groom works only on Show instances that output valid
 Haskell code; if Groom can't understand its input,
 it will not make any changes.

Package: libghc-groom-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-groom-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-groom-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: haskell-groom-utils
Architecture: any
Section: misc
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
